#!/bin/csh
# bring up shell running from jar files

set NMROOT=`pwd`
if ( $# >= 1 && $1 == "NOILLEGAL") then
  set nm_reflective_access = ""
else if ( -f ${JAVAHOME}/lib/tools.jar ) then
  set nm_reflective_access = ""
else 
  set nm_reflective_access = "--add-opens java.logging/java.util.logging=ALL-UNNAMED --add-opens java.base/java.security=ALL-UNNAMED"
endif
# $JAVA_HOME/bin/java -Xdebug -Xrunjdwp:transport=dt_socket,server=y,address=8000,suspend=n -DNONATIVE=FALSE -DNMROOT="classpath:" -Djava.library.path=$NMROOT/jars -classpath "$NMROOT/jars/*"" nxm.sys.lib.NeXtMidas
$JAVA_HOME/bin/java -DNONATIVE=FALSE $nm_reflective_access -DNMROOT="classpath:" -classpath "$NMROOT/jars/*" nxm.sys.lib.NeXtMidas -path=DSP,SYS,UCL
